package ru.kayashov.bar.controller.dto;

import lombok.Getter;
import lombok.Setter;
import ru.kayashov.bar.model.entity.SessionEntity;

@Getter
@Setter
public class SessionResponseDto {

    private Long id;
    private Boolean isActive;


    public static SessionResponseDto mapToDto(SessionEntity session) {
        SessionResponseDto dto = new SessionResponseDto();
        dto.setId(session.getId());
        dto.setIsActive(session.getIsActive());
        return dto;
    }
}
